package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIE9 extends MwfRequest<MWFIE9, MWFIE9Response> {

    @Parameter(name = "Data")
    MWFIE9 data(java.util.List<MWFIE9Data> data);
    @Parameter(name = "KOMUNIKACE_ID")
    MWFIE9 komunikaceId(Long komunikaceId);
    @Parameter(name = "KOMUNIKACE_KANAL_ID")
    MWFIE9 komunikaceKanalId(String komunikaceKanalId);
    @Parameter(name = "KOMUNIKACE_KONEC")
    MWFIE9 komunikaceKonec(java.util.Date komunikaceKonec);
    @Parameter(name = "KOMUNIKACE_OPERATOR_VYTVORIL")
    MWFIE9 komunikaceOperatorVytvoril(String komunikaceOperatorVytvoril);
    @Parameter(name = "KOMUNIKACE_PARENT_ID")
    MWFIE9 komunikaceParentId(Long komunikaceParentId);
    @Parameter(name = "KOMUNIKACE_STAV")
    MWFIE9 komunikaceStav(String komunikaceStav);
    @Parameter(name = "KOMUNIKACE_SYSTEM_ID")
    MWFIE9 komunikaceSystemId(String komunikaceSystemId);
    @Parameter(name = "KOMUNIKACE_ZACATEK")
    MWFIE9 komunikaceZacatek(java.util.Date komunikaceZacatek);
    @Parameter(name = "KOMUNIKACE_ZDROJ_ID")
    MWFIE9 komunikaceZdrojId(String komunikaceZdrojId);
    @Parameter(name = "POZADAVEK_ID")
    MWFIE9 pozadavekId(Long pozadavekId);
    @Parameter(name = "POZADAVEK_KANAL_ID")
    MWFIE9 pozadavekKanalId(String pozadavekKanalId);
    @Parameter(name = "POZADAVEK_KLIENT_ID")
    MWFIE9 pozadavekKlientId(String pozadavekKlientId);
    @Parameter(name = "POZADAVEK_KLIENT_TYP")
    MWFIE9 pozadavekKlientTyp(String pozadavekKlientTyp);
    @Parameter(name = "POZADAVEK_OBJEKT_ID")
    MWFIE9 pozadavekObjektId(String pozadavekObjektId);
    @Parameter(name = "POZADAVEK_OBJEKT_TYP")
    MWFIE9 pozadavekObjektTyp(String pozadavekObjektTyp);
    @Parameter(name = "POZADAVEK_RESENI_POZNAMKA")
    MWFIE9 pozadavekReseniPoznamka(String pozadavekReseniPoznamka);
    @Parameter(name = "POZADAVEK_RESENI_TYP")
    MWFIE9 pozadavekReseniTyp(String pozadavekReseniTyp);
    @Parameter(name = "POZADAVEK_ZADANI_POZNAMKA")
    MWFIE9 pozadavekZadaniPoznamka(String pozadavekZadaniPoznamka);
    @Parameter(name = "POZADAVEK_ZADANI_TYP")
    MWFIE9 pozadavekZadaniTyp(String pozadavekZadaniTyp);
    @Parameter(name = "UKOL_ATTRIBUTE1")
    MWFIE9 ukolAttribute1(String ukolAttribute1);
    @Parameter(name = "UKOL_ATTRIBUTE10")
    MWFIE9 ukolAttribute10(String ukolAttribute10);
    @Parameter(name = "UKOL_ATTRIBUTE11")
    MWFIE9 ukolAttribute11(String ukolAttribute11);
    @Parameter(name = "UKOL_ATTRIBUTE12")
    MWFIE9 ukolAttribute12(String ukolAttribute12);
    @Parameter(name = "UKOL_ATTRIBUTE13")
    MWFIE9 ukolAttribute13(String ukolAttribute13);
    @Parameter(name = "UKOL_ATTRIBUTE14")
    MWFIE9 ukolAttribute14(String ukolAttribute14);
    @Parameter(name = "UKOL_ATTRIBUTE15")
    MWFIE9 ukolAttribute15(String ukolAttribute15);
    @Parameter(name = "UKOL_ATTRIBUTE16")
    MWFIE9 ukolAttribute16(String ukolAttribute16);
    @Parameter(name = "UKOL_ATTRIBUTE17")
    MWFIE9 ukolAttribute17(String ukolAttribute17);
    @Parameter(name = "UKOL_ATTRIBUTE18")
    MWFIE9 ukolAttribute18(String ukolAttribute18);
    @Parameter(name = "UKOL_ATTRIBUTE2")
    MWFIE9 ukolAttribute2(String ukolAttribute2);
    @Parameter(name = "UKOL_ATTRIBUTE3")
    MWFIE9 ukolAttribute3(String ukolAttribute3);
    @Parameter(name = "UKOL_ATTRIBUTE4")
    MWFIE9 ukolAttribute4(String ukolAttribute4);
    @Parameter(name = "UKOL_ATTRIBUTE5")
    MWFIE9 ukolAttribute5(String ukolAttribute5);
    @Parameter(name = "UKOL_ATTRIBUTE6")
    MWFIE9 ukolAttribute6(String ukolAttribute6);
    @Parameter(name = "UKOL_ATTRIBUTE7")
    MWFIE9 ukolAttribute7(String ukolAttribute7);
    @Parameter(name = "UKOL_ATTRIBUTE8")
    MWFIE9 ukolAttribute8(String ukolAttribute8);
    @Parameter(name = "UKOL_ATTRIBUTE9")
    MWFIE9 ukolAttribute9(String ukolAttribute9);
    @Parameter(name = "UKOL_ID")
    MWFIE9 ukolId(String ukolId);
    @Parameter(name = "UKOL_RESOLVERSGROUP")
    MWFIE9 ukolResolversgroup(String ukolResolversgroup);
    @Parameter(name = "UKOL_SOURCESYSTEM")
    MWFIE9 ukolSourcesystem(String ukolSourcesystem);
    @Parameter(name = "UKOL_TASKCATEGORY")
    MWFIE9 ukolTaskcategory(String ukolTaskcategory);
    @Parameter(name = "UKOL_TASKID")
    MWFIE9 ukolTaskid(String ukolTaskid);
    @Parameter(name = "UKOL_TASKNAME")
    MWFIE9 ukolTaskname(String ukolTaskname);
    @Parameter(name = "UKOL_TASKSUBCATEGORY")
    MWFIE9 ukolTasksubcategory(String ukolTasksubcategory);
    @Parameter(name = "ZPRAVA_DATUM_VYTVORENI")
    MWFIE9 zpravaDatumVytvoreni(java.util.Date zpravaDatumVytvoreni);
    @Parameter(name = "ZPRAVA_ID")
    MWFIE9 zpravaId(Long zpravaId);
    @Parameter(name = "ZPRAVA_LANGUAGE_ID")
    MWFIE9 zpravaLanguageId(String zpravaLanguageId);
    @Parameter(name = "ZPRAVA_ODESILATEL")
    MWFIE9 zpravaOdesilatel(String zpravaOdesilatel);
    @Parameter(name = "ZPRAVA_PARENT_ID")
    MWFIE9 zpravaParentId(Long zpravaParentId);
    @Parameter(name = "ZPRAVA_PREDMET")
    MWFIE9 zpravaPredmet(String zpravaPredmet);
    @Parameter(name = "ZPRAVA_PRIJEMCE")
    MWFIE9 zpravaPrijemce(String zpravaPrijemce);
    @Parameter(name = "ZPRAVA_SMER")
    MWFIE9 zpravaSmer(String zpravaSmer);
    @Parameter(name = "ZPRAVA_TEMPLATE_ID")
    MWFIE9 zpravaTemplateId(String zpravaTemplateId);
    @Parameter(name = "ZPRAVA_TEXT")
    MWFIE9 zpravaText(String zpravaText);
}
